"use strict";
// TODO temporary old useStore for React 17 support, which used by ink
// https://github.com/nanostores/react/blob/cb48a410acc21018a03c2981bb9a8498efbf1d15/index.js
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useStore = void 0;
const nanostores_cjs_1 = require("nanostores-cjs");
const react_1 = __importDefault(require("react"));
function useStore(store, opts = {}) {
    let [, forceRender] = react_1.default.useState({});
    react_1.default.useEffect(() => {
        let rerender = () => {
            forceRender({});
        };
        if (opts.keys) {
            return (0, nanostores_cjs_1.listenKeys)(store, opts.keys, rerender);
        }
        else {
            return store.listen(rerender);
        }
    }, [store, '' + opts.keys]);
    return store.get();
}
exports.useStore = useStore;
