#!/usr/bin/env node
"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.indexNS = void 0;
const React = __importStar(require("react"));
const ink_1 = require("ink");
const ink_big_text_1 = __importDefault(require("ink-big-text"));
const repl_ns_1 = require("repl-ns");
const ffmpeg_static_1 = __importDefault(require("ffmpeg-static"));
const form_1 = require("../src/form");
const status_1 = require("../src/status");
// process.env['NODE_ENV'] = 'test'
if (ffmpeg_static_1.default)
    process.env['FFMPEG_PATH'] = ffmpeg_static_1.default;
exports.indexNS = (0, repl_ns_1.ns)('index', {
    Index: () => {
        const Form = (0, form_1.formNS)().Form;
        const Status = (0, status_1.statusNS)().Status;
        return (React.createElement(ink_1.Box, { flexDirection: "column" },
            React.createElement(ink_1.Box, null,
                React.createElement(ink_big_text_1.default, { text: "YOUTUBE DOWNLOAD" })),
            React.createElement(ink_1.Box, { marginBottom: 1 },
                React.createElement(Status, null)),
            React.createElement(ink_1.Box, null,
                React.createElement(Form, null))));
    },
    instance: null,
}, {
    async before(payload) {
        payload?.instance?.unmount();
    },
    async after(payload) {
        if (process.env['NODE_ENV'] === 'test') {
            // for tests not render again UI
            // but freeze libuv via setTimeout
            return setTimeout(() => { }, 1000 * 60 * 60);
        }
        const Index = (0, exports.indexNS)().Index;
        return Object.assign(payload, { instance: (0, ink_1.render)(React.createElement(Index, null)) });
    },
});
