"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.statusNS = void 0;
const ink_1 = require("ink");
const ink_spinner_1 = __importDefault(require("ink-spinner"));
const React = __importStar(require("react"));
const repl_ns_1 = require("repl-ns");
const download_1 = require("../src/download");
const useStore_1 = require("../src/useStore");
exports.statusNS = (0, repl_ns_1.ns)('status', {
    Status: () => {
        const downloaded = (0, useStore_1.useStore)((0, download_1.downloadNS)().downloaded$);
        const downloadInProgress = (0, useStore_1.useStore)((0, download_1.downloadNS)().downloadInProgress$);
        const downloadError = (0, useStore_1.useStore)((0, download_1.downloadNS)().downloadError$);
        return (React.createElement(React.Fragment, null, downloadInProgress ? (React.createElement(ink_spinner_1.default, { type: "aesthetic" })) : downloaded ? (React.createElement(ink_1.Text, { color: 'green' }, "\u2705 Video downloaded!")) : downloadError ? (React.createElement(ink_1.Text, { color: 'red' }, downloadError.message)) : null));
    },
});
